Create webhook
curl --request POST \
--url https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://your-app.com/hooks/opencard",
"card_transaction_cleared": true,
"card_transaction_authorized": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://your-app.com/hooks/opencard',
card_transaction_cleared: true,
card_transaction_authorized: true
})
};
fetch('https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}/webhooks"
payload = {
"url": "https://your-app.com/hooks/opencard",
"card_transaction_cleared": True,
"card_transaction_authorized": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://your-app.com/hooks/opencard',
'card_transaction_cleared' => true,
'card_transaction_authorized' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 5,
"organization_id": 3,
"url": "https://your-app.com/hooks/opencard",
"active": true,
"enabled": true,
"card_transaction_authorized": true,
"card_transaction_cleared": true,
"card_transaction_deleted": true,
"receipt_fetched": true
}Webhooks
Create webhook
POST
/
accounts
/
{accountId}
/
organizations
/
{organizationId}
/
webhooks
Create webhook
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Your account ID
Organization ID
Body
application/json
Response
201 - application/json
Webhook created
⌘I

